Index: jst/tests/org.jboss.tools.jst.jsp.base.test/META-INF/MANIFEST.MF
===================================================================
--- jst/tests/org.jboss.tools.jst.jsp.base.test/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/tests/org.jboss.tools.jst.jsp.base.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Base Classes for JSP Editor Related Tests
 Bundle-SymbolicName: org.jboss.tools.jst.jsp.base.test
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
  org.eclipse.jface;bundle-version="3.7.0",
  org.eclipse.core.resources;bundle-version="3.7.100",
Index: jst/tests/org.jboss.tools.jst.css.test/META-INF/MANIFEST.MF
===================================================================
--- jst/tests/org.jboss.tools.jst.css.test/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/tests/org.jboss.tools.jst.css.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.jst.css.test;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Activator: org.jboss.tools.jst.css.test.CSSTestPlugin
 Require-Bundle: org.eclipse.core.runtime,
  org.junit,
Index: jst/tests/org.jboss.tools.jst.web.kb.test/META-INF/MANIFEST.MF
===================================================================
--- jst/tests/org.jboss.tools.jst.web.kb.test/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/tests/org.jboss.tools.jst.web.kb.test/META-INF/MANIFEST.MF	(working copy)
@@ -3,7 +3,7 @@
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.jst.web.kb.test;singleton:=true
 Bundle-Localization: plugin
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
  org.eclipse.core.resources,
Index: jst/tests/org.jboss.tools.jst.web.ui.test/META-INF/MANIFEST.MF
===================================================================
--- jst/tests/org.jboss.tools.jst.web.ui.test/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/tests/org.jboss.tools.jst.web.ui.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.jst.web.ui.test
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Vendor: %Bundle-Vendor.0
 Require-Bundle: org.jboss.tools.jst.web.ui,
  org.jboss.tools.jst.web,
Index: jst/tests/org.jboss.tools.jst.ui.firstrun.bot.test/META-INF/MANIFEST.MF
===================================================================
--- jst/tests/org.jboss.tools.jst.ui.firstrun.bot.test/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/tests/org.jboss.tools.jst.ui.firstrun.bot.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.jst.ui.firstrun.bot.test;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Activator: org.jboss.tools.ui.runtime.bot.test.Activator
 Bundle-Vendor: %BundleVendor
 Require-Bundle: org.eclipse.core.runtime,
Index: jst/tests/org.jboss.tools.jst.jsp.test/META-INF/MANIFEST.MF
===================================================================
--- jst/tests/org.jboss.tools.jst.jsp.test/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/tests/org.jboss.tools.jst.jsp.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.jst.jsp.test
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Require-Bundle: org.junit,
  org.jboss.tools.tests,
  org.eclipse.core.resources,
Index: jst/tests/org.jboss.tools.jst.web.test/META-INF/MANIFEST.MF
===================================================================
--- jst/tests/org.jboss.tools.jst.web.test/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/tests/org.jboss.tools.jst.web.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.jst.web.test;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Require-Bundle: org.jboss.tools.jst.web,
  org.jboss.tools.common.base.test,
  org.eclipse.core.runtime,
Index: jst/tests/org.jboss.tools.jst.ui.bot.test/META-INF/MANIFEST.MF
===================================================================
--- jst/tests/org.jboss.tools.jst.ui.bot.test/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/tests/org.jboss.tools.jst.ui.bot.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: JST UI SWTBot Tests
 Bundle-SymbolicName: org.jboss.tools.jst.ui.bot.test;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Activator: org.jboss.tools.ui.bot.test.Activator
 Require-Bundle: org.eclipse.core.runtime,
  org.eclipse.swtbot.eclipse.finder;bundle-version="2.0.0",
Index: as/plugins/org.jboss.ide.eclipse.as.management.as71/META-INF/MANIFEST.MF
===================================================================
--- as/plugins/org.jboss.ide.eclipse.as.management.as71/META-INF/MANIFEST.MF	(revision 42333)
+++ as/plugins/org.jboss.ide.eclipse.as.management.as71/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: JBoss AS7.1 management API
 Bundle-SymbolicName: org.jboss.ide.eclipse.as.management.as71
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.ide.eclipse.as.internal.management.as71.AS71ManagementActivator
 Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.wst.server.core;bundle-version="1.1.302",
Index: as/plugins/org.jboss.ide.eclipse.as.wtp.ui/META-INF/MANIFEST.MF
===================================================================
--- as/plugins/org.jboss.ide.eclipse.as.wtp.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ as/plugins/org.jboss.ide.eclipse.as.wtp.ui/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: WTP UI Overrides
 Bundle-SymbolicName: org.jboss.ide.eclipse.as.wtp.ui;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.ide.eclipse.as.wtp.ui.WTPOveridePlugin
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
Index: as/plugins/org.jboss.ide.eclipse.as.core/jbosscore/org/jboss/ide/eclipse/as/core/server/internal/DeployableServer.java
===================================================================
--- as/plugins/org.jboss.ide.eclipse.as.core/jbosscore/org/jboss/ide/eclipse/as/core/server/internal/DeployableServer.java	(revision 42333)
+++ as/plugins/org.jboss.ide.eclipse.as.core/jbosscore/org/jboss/ide/eclipse/as/core/server/internal/DeployableServer.java	(working copy)
@@ -15,13 +15,17 @@
 import java.util.regex.Pattern;
 import java.util.regex.PatternSyntaxException;
 
+import org.eclipse.core.resources.IProject;
 import org.eclipse.core.runtime.CoreException;
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.IStatus;
 import org.eclipse.core.runtime.Path;
 import org.eclipse.core.runtime.Status;
+import org.eclipse.jst.j2ee.componentcore.util.EARArtifactEdit;
+import org.eclipse.jst.j2ee.project.JavaEEProjectUtilities;
 import org.eclipse.jst.j2ee.project.WebUtilities;
 import org.eclipse.jst.server.core.IWebModule;
+import org.eclipse.wst.common.componentcore.internal.util.ComponentUtilities;
 import org.eclipse.wst.server.core.IModule;
 import org.eclipse.wst.server.core.IRuntime;
 import org.eclipse.wst.server.core.IServerWorkingCopy;
@@ -185,13 +189,31 @@
 	}
 	public URL getModuleRootURL(IModule[] module) {
 		if( module.length == 2) {
-			String contextRoot = WebUtilities.getServerContextRoot(module[1].getProject(),
+			String contextRoot = getServerContextRoot(module[1].getProject(),
 					module[0].getProject());
 			return getModuleRootURL(module[1], getServer().getHost(), getWebPort(), contextRoot);
 		} else {
 			return module.length > 0 ? getModuleRootURL(module[0]) : null;
 		}
 	}
+	
+	public static String getServerContextRoot(IProject webProject,IProject earProject) {
+    	String contextRoot = null;
+    	if (earProject == null || !JavaEEProjectUtilities.deploymentDescriptorExists(earProject))
+    		return ComponentUtilities.getServerContextRoot(webProject);
+    	else if (JavaEEProjectUtilities.isEARProject(earProject) && JavaEEProjectUtilities.isDynamicWebProject(webProject)) {
+    		EARArtifactEdit edit = null;
+    		try {
+    			edit = EARArtifactEdit.getEARArtifactEditForRead(earProject);
+    			contextRoot = edit.getWebContextRoot(webProject);
+    		} finally {
+    			if (edit!=null)
+    				edit.dispose();
+    		}
+    	}
+    	return contextRoot;
+    }
+
 	public URL getModuleRootURL(IModule module, String contextRoot) {
 		return getModuleRootURL(module, getServer().getHost(), getWebPort(), contextRoot);
 	}
Index: as/plugins/org.jboss.ide.eclipse.as.core/META-INF/MANIFEST.MF
===================================================================
--- as/plugins/org.jboss.ide.eclipse.as.core/META-INF/MANIFEST.MF	(revision 42333)
+++ as/plugins/org.jboss.ide.eclipse.as.core/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.ide.eclipse.as.core;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.ide.eclipse.as.core.JBossServerCorePlugin
 Bundle-Localization: plugin
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
@@ -25,7 +25,7 @@
  org.eclipse.pde.core;bundle-version="3.7.0",
  org.eclipse.jst.j2ee.web;bundle-version="1.1.500",
  org.jboss.ide.eclipse.as.management.core,
- org.eclipse.equinox.security;bundle-version="1.1.1",
+ org.eclipse.equinox.security;bundle-version="1.1.0",
  org.jboss.ide.eclipse.as.dmr;bundle-version="2.3.0"
 Bundle-ActivationPolicy: lazy
 Export-Package: org.jboss.ide.eclipse.as.core,
Index: as/plugins/org.jboss.ide.eclipse.as.classpath.ui/META-INF/MANIFEST.MF
===================================================================
--- as/plugins/org.jboss.ide.eclipse.as.classpath.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ as/plugins/org.jboss.ide.eclipse.as.classpath.ui/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.ide.eclipse.as.classpath.ui;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.ide.eclipse.as.classpath.ui.ClasspathUIPlugin
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
Index: as/plugins/org.jboss.ide.eclipse.archives.webtools/META-INF/MANIFEST.MF
===================================================================
--- as/plugins/org.jboss.ide.eclipse.archives.webtools/META-INF/MANIFEST.MF	(revision 42333)
+++ as/plugins/org.jboss.ide.eclipse.archives.webtools/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.ide.eclipse.archives.webtools;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.ide.eclipse.archives.webtools.IntegrationPlugin
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
Index: as/plugins/org.jboss.ide.eclipse.as.wtp.core/META-INF/MANIFEST.MF
===================================================================
--- as/plugins/org.jboss.ide.eclipse.as.wtp.core/META-INF/MANIFEST.MF	(revision 42333)
+++ as/plugins/org.jboss.ide.eclipse.as.wtp.core/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: WTP Overrides Core
 Bundle-SymbolicName: org.jboss.ide.eclipse.as.wtp.core;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.ide.eclipse.as.wtp.core.ASWTPToolsPlugin
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
  org.eclipse.wst.server.core;bundle-version="1.1.302",
Index: as/plugins/org.jboss.ide.eclipse.as.management.core/META-INF/MANIFEST.MF
===================================================================
--- as/plugins/org.jboss.ide.eclipse.as.management.core/META-INF/MANIFEST.MF	(revision 42333)
+++ as/plugins/org.jboss.ide.eclipse.as.management.core/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Application Server Interface Core Plugin
 Bundle-SymbolicName: org.jboss.ide.eclipse.as.management.core
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.ide.eclipse.as.management.core.AS7ManagementActivator
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
Index: as/plugins/org.jboss.ide.eclipse.as.rse.ui/META-INF/MANIFEST.MF
===================================================================
--- as/plugins/org.jboss.ide.eclipse.as.rse.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ as/plugins/org.jboss.ide.eclipse.as.rse.ui/META-INF/MANIFEST.MF	(working copy)
@@ -3,7 +3,7 @@
 Bundle-Name: %Bundle-Name.0
 Bundle-Vendor: %Bundle-Vendor.0
 Bundle-SymbolicName: org.jboss.ide.eclipse.as.rse.ui;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.ide.eclipse.as.rse.ui.RSEUIPlugin
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
  org.eclipse.ui;bundle-version="3.7.0",
Index: as/plugins/org.jboss.ide.eclipse.as.classpath.core/META-INF/MANIFEST.MF
===================================================================
--- as/plugins/org.jboss.ide.eclipse.as.classpath.core/META-INF/MANIFEST.MF	(revision 42333)
+++ as/plugins/org.jboss.ide.eclipse.as.classpath.core/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.ide.eclipse.as.classpath.core;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.ide.eclipse.as.classpath.core.ClasspathCorePlugin
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
  org.eclipse.jdt.core;bundle-version="3.7.0",
Index: as/plugins/org.jboss.ide.eclipse.as.ui/META-INF/MANIFEST.MF
===================================================================
--- as/plugins/org.jboss.ide.eclipse.as.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ as/plugins/org.jboss.ide.eclipse.as.ui/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.ide.eclipse.as.ui;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Localization: plugin
 Require-Bundle: org.eclipse.ui.ide;bundle-version="3.7.0",
  org.eclipse.jface.text;bundle-version="3.7.0",
@@ -58,7 +58,7 @@
  org.eclipse.wst.common.emfworkbench.integration;bundle-version="1.2.100",
  org.jboss.ide.eclipse.as.management.core;bundle-version="1.0.0",
  org.jboss.ide.eclipse.as.dmr;bundle-version="2.3.0",
- org.eclipse.ui.browser;bundle-version="3.3.101"
+ org.eclipse.ui.browser;bundle-version="3.3.100"
 Bundle-ActivationPolicy: lazy
 Export-Package: org.jboss.ide.eclipse.as.ui,
  org.jboss.ide.eclipse.as.ui.actions,
Index: as/plugins/org.jboss.ide.eclipse.as.rse.core/META-INF/MANIFEST.MF
===================================================================
--- as/plugins/org.jboss.ide.eclipse.as.rse.core/META-INF/MANIFEST.MF	(revision 42333)
+++ as/plugins/org.jboss.ide.eclipse.as.rse.core/META-INF/MANIFEST.MF	(working copy)
@@ -3,7 +3,7 @@
 Bundle-Name: %Bundle-Name.0
 Bundle-Vendor: %Bundle-Vendor.0
 Bundle-SymbolicName: org.jboss.ide.eclipse.as.rse.core;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.ide.eclipse.as.rse.core.RSECorePlugin
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
  org.eclipse.rse.core;bundle-version="3.1.200",
Index: as/plugins/org.jboss.ide.eclipse.as.jmx.integration/META-INF/MANIFEST.MF
===================================================================
--- as/plugins/org.jboss.ide.eclipse.as.jmx.integration/META-INF/MANIFEST.MF	(revision 42333)
+++ as/plugins/org.jboss.ide.eclipse.as.jmx.integration/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: JBossAS Tools Server / JMX Integration
 Bundle-SymbolicName: org.jboss.ide.eclipse.as.jmx.integration;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.ide.eclipse.as.jmx.integration.Activator
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
Index: as/plugins/org.jboss.ide.eclipse.as.ui.mbeans/META-INF/MANIFEST.MF
===================================================================
--- as/plugins/org.jboss.ide.eclipse.as.ui.mbeans/META-INF/MANIFEST.MF	(revision 42333)
+++ as/plugins/org.jboss.ide.eclipse.as.ui.mbeans/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.ide.eclipse.as.ui.mbeans;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.ide.eclipse.as.ui.mbeans.Activator
 Bundle-Localization: plugin
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
Index: as/plugins/org.jboss.ide.eclipse.as.dmr/META-INF/MANIFEST.MF
===================================================================
--- as/plugins/org.jboss.ide.eclipse.as.dmr/META-INF/MANIFEST.MF	(revision 42333)
+++ as/plugins/org.jboss.ide.eclipse.as.dmr/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: JBoss AS Server Adapter Dynamic Model Representation
 Bundle-SymbolicName: org.jboss.ide.eclipse.as.dmr;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.ide.eclipse.as.dmr.Activator
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Index: as/plugins/org.jboss.ide.eclipse.as.doc.user/META-INF/MANIFEST.MF
===================================================================
--- as/plugins/org.jboss.ide.eclipse.as.doc.user/META-INF/MANIFEST.MF	(revision 42333)
+++ as/plugins/org.jboss.ide.eclipse.as.doc.user/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.ide.eclipse.as.doc.user;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
  org.eclipse.help;bundle-version="3.5.0"
Index: as/tests/org.jboss.ide.eclipse.as.ui.test/META-INF/MANIFEST.MF
===================================================================
--- as/tests/org.jboss.ide.eclipse.as.ui.test/META-INF/MANIFEST.MF	(revision 42333)
+++ as/tests/org.jboss.ide.eclipse.as.ui.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Test Plug-in
 Bundle-SymbolicName: org.jboss.ide.eclipse.as.ui.test;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Require-Bundle: org.junit,
  org.eclipse.ui,
  org.jboss.tools.tests,
Index: as/tests/org.jboss.ide.eclipse.as.test/META-INF/MANIFEST.MF
===================================================================
--- as/tests/org.jboss.ide.eclipse.as.test/META-INF/MANIFEST.MF	(revision 42333)
+++ as/tests/org.jboss.ide.eclipse.as.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.ide.eclipse.as.test;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.ide.eclipse.as.test.ASTest
 Require-Bundle: org.eclipse.core.runtime,
  org.junit,
@@ -43,7 +43,7 @@
  org.eclipse.jst.jsf.core,
  org.eclipse.jpt.jpa.core,
  org.jboss.ide.eclipse.as.management.core;bundle-version="1.0.0",
- org.eclipse.equinox.security;bundle-version="1.1.1"
+ org.eclipse.equinox.security;bundle-version="1.1.0"
 Bundle-ActivationPolicy: lazy
 Bundle-Vendor: %Bundle-Vendor.0
 Bundle-Localization: plugin
Index: as/tests/org.jboss.ide.eclipse.as.archives.integration.test/META-INF/MANIFEST.MF
===================================================================
--- as/tests/org.jboss.ide.eclipse.as.archives.integration.test/META-INF/MANIFEST.MF	(revision 42333)
+++ as/tests/org.jboss.ide.eclipse.as.archives.integration.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.ide.eclipse.as.archives.integration.test
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.ide.eclipse.as.archives.integration.test.ASArchivesIntegrationTest
 Bundle-ActivationPolicy: lazy
 Bundle-ClassPath: .
Index: as/tests/org.jboss.ide.eclipse.as.management.as7.tests/META-INF/MANIFEST.MF
===================================================================
--- as/tests/org.jboss.ide.eclipse.as.management.as7.tests/META-INF/MANIFEST.MF	(revision 42333)
+++ as/tests/org.jboss.ide.eclipse.as.management.as7.tests/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Tests
 Bundle-SymbolicName: org.jboss.ide.eclipse.as.management.as7.tests
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Require-Bundle: org.jboss.ide.eclipse.as.core;bundle-version="[2.2.0,3.0.0)",
  org.junit;bundle-version="[4.8.1,5.0.0)",
Index: examples/plugins/org.jboss.tools.community.project.examples/META-INF/MANIFEST.MF
===================================================================
--- examples/plugins/org.jboss.tools.community.project.examples/META-INF/MANIFEST.MF	(revision 42333)
+++ examples/plugins/org.jboss.tools.community.project.examples/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.community.project.examples;singleton:=true
-Bundle-Version: 1.2.1.qualifier
+Bundle-Version: 1.2.2.qualifier
 Bundle-Vendor: %BundleVendor
 Bundle-Localization: plugin
 Require-Bundle: org.jboss.tools.project.examples
Index: examples/plugins/org.jboss.tools.project.examples.cheatsheet/META-INF/MANIFEST.MF
===================================================================
--- examples/plugins/org.jboss.tools.project.examples.cheatsheet/META-INF/MANIFEST.MF	(revision 42333)
+++ examples/plugins/org.jboss.tools.project.examples.cheatsheet/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.project.examples.cheatsheet;singleton:=true
-Bundle-Version: 1.2.1.qualifier
+Bundle-Version: 1.2.2.qualifier
 Bundle-Activator: org.jboss.tools.project.examples.cheatsheet.Activator
 Bundle-Vendor: %BundleVendor
 Bundle-Localization: plugin
Index: examples/plugins/org.jboss.tools.project.examples/META-INF/MANIFEST.MF
===================================================================
--- examples/plugins/org.jboss.tools.project.examples/META-INF/MANIFEST.MF	(revision 42333)
+++ examples/plugins/org.jboss.tools.project.examples/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.project.examples;singleton:=true
-Bundle-Version: 1.2.1.qualifier
+Bundle-Version: 1.2.2.qualifier
 Bundle-Activator: org.jboss.tools.project.examples.ProjectExamplesActivator
 Bundle-Vendor: %BundleVendor
 Require-Bundle: org.eclipse.ui,
@@ -40,7 +40,7 @@
  org.eclipse.mylyn.discovery.core;bundle-version="3.6.0",
  org.eclipse.mylyn.commons.ui;bundle-version="[3.6.0,3.8.0)",
  org.apache.commons.lang;bundle-version="2.4.0",
- org.eclipse.jdt.ui;bundle-version="3.7.1"
+ org.eclipse.jdt.ui;bundle-version="3.7.0"
 Bundle-ActivationPolicy: lazy
 Bundle-Localization: plugin
 Export-Package: org.jboss.tools.project.examples,
Index: examples/tests/org.jboss.tools.project.examples.test/META-INF/MANIFEST.MF
===================================================================
--- examples/tests/org.jboss.tools.project.examples.test/META-INF/MANIFEST.MF	(revision 42333)
+++ examples/tests/org.jboss.tools.project.examples.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.project.examples.test;singleton:=true
-Bundle-Version: 1.2.1.qualifier
+Bundle-Version: 1.2.2.qualifier
 Require-Bundle: org.eclipse.core.runtime,
  org.jboss.tools.tests,
  org.jboss.tools.project.examples,
Index: ws/plugins/org.jboss.tools.ws.core/META-INF/MANIFEST.MF
===================================================================
--- ws/plugins/org.jboss.tools.ws.core/META-INF/MANIFEST.MF	(revision 42333)
+++ ws/plugins/org.jboss.tools.ws.core/META-INF/MANIFEST.MF	(working copy)
@@ -2,26 +2,23 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %PLUGIN_NAME
 Bundle-SymbolicName: org.jboss.tools.ws.core;singleton:=true
-Bundle-Version: 1.2.2.qualifier
+Bundle-Version: 1.2.3.qualifier
 Bundle-Localization: plugin
 Bundle-Activator: org.jboss.tools.ws.core.JBossWSCorePlugin
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
  org.eclipse.wst.common.project.facet.core;bundle-version="1.4.200",
- org.eclipse.wst.common.frameworks;bundle-version="1.2.101",
+ org.eclipse.wst.common.frameworks;bundle-version="1.2.100",
  org.eclipse.core.resources;bundle-version="3.7.0",
- org.eclipse.jst.ws;bundle-version="1.0.509",
+ org.eclipse.jst.ws;bundle-version="1.0.508",
  org.eclipse.jdt.core;bundle-version="3.7.0",
- org.eclipse.jdt.launching;bundle-version="3.6.1",
- org.eclipse.jst.jsf.core;bundle-version="1.3.105",
+ org.eclipse.jdt.launching;bundle-version="3.6.0",
+ org.eclipse.jst.jsf.core;bundle-version="1.3.5",
  org.eclipse.jst.jsf.ui;bundle-version="1.3.2",
- org.eclipse.wst.common.modulecore;bundle-version="1.2.101",
- org.eclipse.jdt.launching;bundle-version="3.6.1",
- org.eclipse.jst.jsf.core;bundle-version="1.3.105",
+ org.eclipse.wst.common.modulecore;bundle-version="1.2.100",
  org.eclipse.jst.jsf.ui;bundle-version="1.3.2",
- org.eclipse.jdt.launching;bundle-version="3.6.1",
- org.eclipse.jst.j2ee;bundle-version="1.1.501",
- org.eclipse.jst.ws.consumption.ui;bundle-version="1.1.401",
+ org.eclipse.jst.j2ee;bundle-version="1.0.401",
+ org.eclipse.jst.ws.consumption.ui;bundle-version="1.1.400",
  org.jboss.ide.eclipse.as.classpath.core;bundle-version="2.3.0"
 Bundle-ActivationPolicy: lazy
 Bundle-Vendor: %PLUGIN_PROVIDER
Index: ws/plugins/org.jboss.tools.ws.creation.core/META-INF/MANIFEST.MF
===================================================================
--- ws/plugins/org.jboss.tools.ws.creation.core/META-INF/MANIFEST.MF	(revision 42333)
+++ ws/plugins/org.jboss.tools.ws.creation.core/META-INF/MANIFEST.MF	(working copy)
@@ -2,44 +2,44 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.ws.creation.core;singleton:=true
-Bundle-Version: 1.2.2.qualifier
+Bundle-Version: 1.2.3.qualifier
 Bundle-Activator: org.jboss.tools.ws.creation.core.JBossWSCreationCorePlugin
 Bundle-Vendor: %Bundle-Vendor.0
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
- org.eclipse.wst.common.frameworks;bundle-version="1.2.101",
+ org.eclipse.wst.common.frameworks;bundle-version="1.2.100",
  org.eclipse.wst.ws;bundle-version="1.1.203",
  org.eclipse.core.resources;bundle-version="3.7.1",
- org.eclipse.jst.ws;bundle-version="1.0.509",
+ org.eclipse.jst.ws;bundle-version="1.0.508",
  org.eclipse.jem.util;bundle-version="2.1.100",
  org.jboss.tools.ws.core,
- org.eclipse.wst.wsdl;bundle-version="1.2.202",
+ org.eclipse.wst.wsdl;bundle-version="1.2.201",
  org.eclipse.wst.command.env.core;bundle-version="1.0.205",
  org.eclipse.wst.command.env;bundle-version="1.0.409",
  org.apache.ant;bundle-version="[1.8.2,1.9.0)",
  org.apache.xerces;bundle-version="[2.9.0,3.0.0)",
- org.eclipse.jst.j2ee;bundle-version="1.1.501";visibility:=reexport,
- org.eclipse.jst.j2ee.core;bundle-version="1.2.101";visibility:=reexport,
+ org.eclipse.jst.j2ee;bundle-version="1.1.500";visibility:=reexport,
+ org.eclipse.jst.j2ee.core;bundle-version="1.2.100";visibility:=reexport,
  org.eclipse.jst.jee;bundle-version="1.0.401",
  org.eclipse.emf.common;bundle-version="2.7.0",
  org.eclipse.emf.ecore;bundle-version="2.7.0",
- org.eclipse.jdt.core;bundle-version="3.7.1",
- org.eclipse.jface.text;bundle-version="3.7.1",
+ org.eclipse.jdt.core;bundle-version="3.7.0",
+ org.eclipse.jface.text;bundle-version="3.7.0",
  org.eclipse.core.filebuffers;bundle-version="3.5.200",
- org.eclipse.jdt.ui;bundle-version="3.7.1",
+ org.eclipse.jdt.ui;bundle-version="3.7.0",
  org.eclipse.wst.common.project.facet.core;bundle-version="1.4.200",
- org.eclipse.wst.server.core;bundle-version="1.1.303",
+ org.eclipse.wst.server.core;bundle-version="1.1.302",
  org.eclipse.jem.util;bundle-version="2.1.100",
  org.jboss.tools.common,
  org.jboss.ide.eclipse.as.classpath.core,
  org.eclipse.jst.server.core;bundle-version="1.2.202",
- org.eclipse.jdt;bundle-version="3.7.1",
- org.eclipse.jdt.launching;bundle-version="3.6.1",
+ org.eclipse.jdt;bundle-version="3.7.0",
+ org.eclipse.jdt.launching;bundle-version="3.6.0",
  org.eclipse.debug.core;bundle-version="3.7.0",
  org.eclipse.jst.jee.web;bundle-version="1.0.301",
  javax.wsdl;visibility:=reexport,
  org.eclipse.jst.ws.annotations.core;bundle-version="1.1.0",
- org.eclipse.wst.common.emfworkbench.integration;bundle-version="1.2.101"
+ org.eclipse.wst.common.emfworkbench.integration;bundle-version="1.2.100"
 Bundle-ActivationPolicy: lazy
 Export-Package: org.jboss.tools.ws.creation.core,
  org.jboss.tools.ws.creation.core.commands,
